Communauté
Fusion - Français
Bienvenue sur les forums Fusion (anciennement Fusion 360) d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Fusion populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Coordonnées de points d'une esquisse 3D

4 RÉPONSES 4
RÉSOLU
Répondre
Message 1 sur 5
ARTHUR131200
695 Visites, 4 Réponses

Coordonnées de points d'une esquisse 3D

Bonjour,

 

J'ai réalisé une esquisse en 3D sur fusion 360 v c'est à dire des sketchs sur des plans différents formant un volume.

J'aimerai savoir si on peut obtenir les coordonnées cartésiennes des points de l'ensemble des sketches formant mon esquisse 3D.

 

Merci.

4 RÉPONSES 4
Message 2 sur 5
JeromeBriot
en réponse à: ARTHUR131200

Bonjour,

 

Qu'entends-tu exactement par "obtenir" ? Et qu'appelles-tu "les points de l'ensemble des sketches" ?

 

Pourrais tu partager ta conception avec nous ou bien nous montrer au minimum une capture d'écran ?

 

Message 3 sur 5
ARTHUR131200
en réponse à: JeromeBriot

Bonjour,

Par obtenir j'entends "récupérer" les coordonnés (x,y,z) des points que j'ai placé ( en noir je suppose ) ou pas ( en blanc). Je joins une capture d'écran et le fichier en format fusion . Il s'agit d'un essai de passerelle piétonne pour un dimensionnement en résistance des matériaux ( je suis étudiant).

J'ai appris Fusion sur le tas donc je n'ai pas encore tous les coups de main ....

Message 4 sur 5
JeromeBriot
en réponse à: ARTHUR131200

Tu peux exécuter ce script dans Fusion 360 :

 

import platform
import os
import adsk.core, adsk.fusion, adsk.cam, traceback # pylint: disable=import-error

def run(context):
    ui = None
    try:
        
        app = adsk.core.Application.get()
        ui  = app.userInterface

        design = app.activeProduct

        rootComp = design.rootComponent
        sketches = rootComp.sketches

        if platform.system() == 'Windows':
            filePath = os.path.join(os.getenv('USERPROFILE'), 'Desktop', 'sketchPoints.txt')
        else:
            filePath = os.path.join(os.path.expanduser('~'), 'Desktop', 'sketchPoints.txt')

        with open(filePath, 'w') as f:
            for sketch in sketches:
                for sketchPoint in sketch.sketchPoints:
                    point = sketchPoint.worldGeometry
                    f.write('{} {} {}\n'.format(point.x, point.y, point.z))

    except:
        if ui:
            ui.messageBox('Failed:\n{}'.format(traceback.format_exc()))

 

Tu obtiendras un fichier sketchPoints.txt sur le bureau qui contient les coordonnées (x,y,z) de chaque point de chaque esquisse.

 

 

Message 5 sur 5
ARTHUR131200
en réponse à: JeromeBriot

Merci. Je vais essayer ! 

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report